ALTER TABLE modoer_shops ADD coupons int(10) UNSIGNED NOT NULL DEFAULT '0' AFTER finer;

DROP TABLE IF EXISTS modoer_coupons;
CREATE TABLE modoer_coupons (
  couponid mediumint(8) unsigned NOT NULL auto_increment,
  shopid mediumint(8) unsigned NOT NULL,
  uid mediumint(8) NOT NULL,
  username varchar(30) NOT NULL,
  thumb varchar(255) NOT NULL,
  picture varchar(255) NOT NULL,
  starttime int(10) NOT NULL,
  endtime int(10) NOT NULL,
  subject varchar(100) NOT NULL,
  des varchar(50) NOT NULL,
  content text NOT NULL,
  effect1 mediumint(8) unsigned NOT NULL default '0',
  flag tinyint(1) unsigned NOT NULL default '1',
  dateline int(10) unsigned NOT NULL,
  pageview int(10) NOT NULL,
  PRIMARY KEY  (couponid),
  KEY shopid (shopid),
  KEY uid (uid)
) TYPE=MyISAM;
